Bug 438971 - exchange connector crash always
exchange connector crash always
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 05:50 EDT by Marco Löwl
Modified: 2008-05-13 06:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 06:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marco Löwl 2008-03-26 05:50:46 EDT
Description of problem:
only when i wrote a email then crash the the exchange connector 

Version-Release number of selected component (if applicable):
Fedora 8 - status Testing from today.


[mloewl@Marco-NB divas]$ rpm -qa |grep evolution
evolution-exchange-2.12.3-1.fc8
evolution-data-server-1.12.3-3.fc8
evolution-webcal-2.12.0-1.fc8
evolution-2.12.3-3.fc8
ruby-revolution-0.5-1.svn210.fc8
evolution-help-2.12.3-3.fc8
evolution-data-server-devel-1.12.3-3.fc8
evolution-data-server-1.12.3-3.fc8
evolution-2.12.3-3.fc8
libopensync-plugin-evolution2-0.22-2.fc8
evolution-data-server-devel-1.12.3-3.fc8
             
How reproducible:

always

Steps to Reproduce:
1. make new email
2. wrote the mail after max ten seconds crash
3. 
  
Actual results:

evolution-excha[20687]: segfault at d100000018 rip 3da7422c91 rsp 41e425e0 error 4


Expected results:


Additional info:
Comment 1 Matthew Barnes 2008-03-26 08:19:09 EDT
Thank you for the bug report. Without a stack trace from the crash it is 
impossible to determine what caused the crash. Please see
http://fedoraproject.org/wiki/StackTraces for more information about
getting a useful stack trace.

For this particular bug you'll want to run the following command before
capturing the stack trace:

   $ debuginfo-install evolution-exchange
Comment 2 Marco Löwl 2008-03-27 07:00:00 EDT
(gdb) run
Starting program: /usr/bin/evolution
[Thread debugging using libthread_db enabled]
[New Thread 46912529663776 (LWP 5863)]
warning: the debug information found in
"/usr/lib/debug//usr/lib64/evolution/2.12/components/libevolution-mail.so.debug"
does not match "/usr/lib64/evolution/2.12/components/libevolution-mail.so" (CRC
mismatch).

warning: the debug information found in
"/usr/lib/debug//usr/lib64/libexchange-storage-1.2.so.3.0.0.debug" does not
match "/usr/lib64/libexchange-storage-1.2.so.3" (CRC mismatch).

warning: the debug information found in
"/usr/lib/debug//usr/lib64/libegroupwise-1.2.so.13.0.1.debug" does not match
"/usr/lib64/libegroupwise-1.2.so.13" (CRC mismatch).

CalDAV Eplugin starting up ...
get mloewl exchange://mloewl;auth=Basic@192.168.210.23/
Find Items 0
[Detaching after fork from child process 5872. (Try `set detach-on-fork off'.)]
** (evolution:5863): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:5863): DEBUG: mailto URL program: evolution
[New Thread 1084229968 (LWP 5887)]
[New Thread 1094719824 (LWP 5888)]
[New Thread 1105209680 (LWP 5889)]
[New Thread 1115699536 (LWP 5890)]
[Thread 1094719824 (LWP 5888) exited]
[Thread 1115699536 (LWP 5890) exited]
[New Thread 1115699536 (LWP 5891)]
[Thread 1115699536 (LWP 5891) exited]
[New Thread 1115699536 (LWP 5892)]
[New Thread 1094719824 (LWP 5893)]
[New Thread 1126189392 (LWP 5895)]
[New Thread 1136679248 (LWP 5897)]
[New Thread 1147169104 (LWP 5899)]
[Detaching after fork from child process 5900.]
[New Thread 1157658960 (LWP 5923)]
[New Thread 1168148816 (LWP 5924)]
get eicon.networks@gmx.de pop://eicon.networks%40gmx.de@pop.gmx.net/
Find Items 0
get Marco.Loewl@gmx.de pop://Marco.Loewl%40gmx.de@pop.gmx.net/
Find Items 0
get mloewl exchange://mloewl;auth=Basic@192.168.210.23/
Find Items 0
[New Thread 1178638672 (LWP 5930)]
[Thread 1168148816 (LWP 5924) exited]
[Thread 1126189392 (LWP 5895) exited]
[Thread 1094719824 (LWP 5893) exited]
[Thread 1084229968 (LWP 5887) exited]
[Thread 1178638672 (LWP 5930) exited]
[New Thread 1084229968 (LWP 5932)]
[Thread 1147169104 (LWP 5899) exited]
[Thread 1105209680 (LWP 5889) exited]
[Thread 1157658960 (LWP 5923) exited]
[Thread 1084229968 (LWP 5932) exited]
[New Thread 1084229968 (LWP 5958)]
[New Thread 1084496208 (LWP 5960)]
(evolution:5863): e-data-server-DEBUG: Loading categories from
"/home/mloewl/.evolution/categories.xml"
(evolution:5863): e-data-server-DEBUG: Loaded 29 categories
get mloewl gal://mloewl;auth=Basic@192.168.210.23/gal
Find Items 0
get mloewl gal://mloewl;auth=Basic@192.168.210.23/gal
Find Items 0
[New Thread 1157658960 (LWP 5969)]
[Thread 1157658960 (LWP 5969) exited]
[New Thread 1157658960 (LWP 5975)]
[Thread 1157658960 (LWP 5975) exited]
[New Thread 1157658960 (LWP 5977)]
[Thread 1157658960 (LWP 5977) exited]

Program received signal SIGINT, Interrupt.
[Switching to Thread 46912529663776 (LWP 5863)]
0x0000003db000a8f9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
Current language:  auto; currently asm
Missing separate debuginfos, use: debuginfo-install evolution.i386 evolution.x86_64
(gdb)  thread apply all bt

Thread 17 (Thread 1084496208 (LWP 5960)):
#0  0x0000003daf4cbd66 in __poll (fds=0xf57e10, nfds=9, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0xf55e00, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0xf57df0) at gmain.c:2898
#3  0x0000003daa8463b0 in link_io_thread_fn (data=<value optimized out>) at
linc.c:396
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0x669570) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6
Current language:  auto; currently c

Thread 16 (Thread 1084229968 (LWP 5958)):
#0  0x0000003daf4cbd66 in __poll (fds=0xf09a60, nfds=1, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0xf53ba0, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0xf099c0) at gmain.c:2898
#3  0x00002aaaac3771fd in startup_mainloop (arg=<value optimized out>) at
e-book.c:3767
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0xf57390) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

Thread 10 (Thread 1136679248 (LWP 5897)):
#0  0x0000003daf4cddf2 in select () from /lib64/libc.so.6
#1  0x00002aaaabc9a61c in camel_read (fd=50, buf=0xd954b0 "\b", n=4) at
camel-file-utils.c:466
#2  0x00002aaabb271d3a in do_read (marshal=0x2aaabc02a8a0, buf=0xd954b0 "\b",
len=4) at camel-stub-marshal.c:93
#3  0x00002aaabb271e5f in marshal_read (marshal=0x2aaabc02a8a0, buf=0x43c05047
"", len=1) at camel-stub-marshal.c:120
#4  0x00002aaabb271f23 in decode_uint32 (marshal=0x2aaabc02a8a0,
dest=0x43c0508c) at camel-stub-marshal.c:155
#5  0x00002aaabb2722d9 in camel_stub_marshal_decode_uint32 (marshal=0x34,
dest=0x43c04f00) at camel-stub-marshal.c:268
#6  0x00002aaabb27316b in status_main (data=<value optimized out>) at
camel-stub.c:126
#7  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

Thread 7 (Thread 1115699536 (LWP 5892)):
#0  0x0000003daf4cbd66 in __poll (fds=0x9b6320, nfds=2, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0x9a5600, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0x9a5560) at gmain.c:2898
#3  0x0000003e6c006dc3 in ?? () from /usr/lib64/libnm_glib.so.0
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0x9ace60) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

Thread 1 (Thread 46912529663776 (LWP 5863)):
#0  0x0000003db000a8f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x00002aaaac37bf8b in do_get_book_view (sync=1, book=0x2aaabc643ec0,
query=0x1057970, requested_fields=0x0, max_results=-1, book_view=0x7fff318ee0a0,
error=0x0, cb=0,
    closure=0x0) at e-book.c:1909
---Type <return> to continue, or q <return> to quit---
#2  0x00002aaaac37c219 in e_book_get_book_view (book=0x2aaabc643ec0,
query=0x1057970, requested_fields=0x0, max_results=-1, book_view=0x7fff318ee0a0,
error=0x0)
    at e-book.c:1950
#3  0x00002aaaac14261b in query_contact_source (contact_store=0xf89100,
source=0xf89260) at e-contact-store.c:764
#4  0x00002aaaac1433e5 in e_contact_store_set_query (contact_store=0xf89100,
book_query=<value optimized out>) at e-contact-store.c:986
#5  0x00002aaaac149561 in update_completions_on_idle_cb
(name_selector_entry=0xd1f840) at e-name-selector-entry.c:506
#6  0x0000003da742ef53 in IA__g_main_context_dispatch (context=0x65b770) at
gmain.c:2061
#7  0x0000003da743224d in g_main_context_iterate (context=0x65b770, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2694
#8  0x0000003da743255a in IA__g_main_loop_run (loop=0x69f720) at gmain.c:2898
#9  0x0000003dac82ce16 in bonobo_main () at bonobo-main.c:311
#10 0x0000000000415cfb in main (argc=<value optimized out>, argv=0x7fff318ee508)
at main.c:602
#11 0x0000003daf41e074 in __libc_start_main (main=0x4159b0 <main>, argc=1,
ubp_av=0x7fff318ee508, init=<value optimized out>, fini=<value optimized out>,
    rtld_fini=<value optimized out>, stack_end=0x7fff318ee4f8) at libc-start.c:220
#12 0x0000000000409dd9 in _start ()
Current language:  auto; currently asm
(gdb)                                                                          
     
Comment 3 Marco Löwl 2008-03-27 07:17:57 EDT
and the next, i hope this is help you to find the problem :


(gdb) run
Starting program: /usr/bin/evolution
[Thread debugging using libthread_db enabled]
[New Thread 46912496656304 (LWP 3753)]
warning: the debug information found in
"/usr/lib/debug//usr/lib64/evolution/2.12/components/libevolution-mail.so.debug"
does not match "/usr/lib64/evolution/2.12/components/libevolution-mail.so" (CRC
mismatch).

warning: the debug information found in
"/usr/lib/debug//usr/lib64/libexchange-storage-1.2.so.3.0.0.debug" does not
match "/usr/lib64/libexchange-storage-1.2.so.3" (CRC mismatch).

warning: the debug information found in
"/usr/lib/debug//usr/lib64/libegroupwise-1.2.so.13.0.1.debug" does not match
"/usr/lib64/libegroupwise-1.2.so.13" (CRC mismatch).

CalDAV Eplugin starting up ...
get mloewl exchange://mloewl;auth=Basic@192.168.210.23/
Find Items 0
** (evolution:3753): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:3753): DEBUG: mailto URL program: evolution
[New Thread 1084229968 (LWP 3775)]
[New Thread 1094719824 (LWP 3776)]
[New Thread 1105209680 (LWP 3777)]
[New Thread 1115699536 (LWP 3778)]
[Thread 1115699536 (LWP 3778) exited]
[Thread 1105209680 (LWP 3777) exited]
[New Thread 1105209680 (LWP 3779)]
[Thread 1105209680 (LWP 3779) exited]
[New Thread 1105209680 (LWP 3780)]
[New Thread 1115699536 (LWP 3783)]
[New Thread 1126189392 (LWP 3784)]
[New Thread 1136679248 (LWP 3785)]
[New Thread 1147169104 (LWP 3794)]
[Detaching after fork from child process 3800. (Try `set detach-on-fork off'.)]
[New Thread 1157658960 (LWP 3810)]
[New Thread 1168148816 (LWP 3811)]
get Marco.Loewl@gmx.de pop://Marco.Loewl%40gmx.de@pop.gmx.net/
Find Items 0
get eicon.networks@gmx.de pop://eicon.networks%40gmx.de@pop.gmx.net/
Find Items 0
get mloewl exchange://mloewl;auth=Basic@192.168.210.23/
Find Items 0
[New Thread 1178638672 (LWP 3817)]
[New Thread 1189128528 (LWP 3818)]
[Thread 1115699536 (LWP 3783) exited]
[Thread 1136679248 (LWP 3785) exited]
[Thread 1157658960 (LWP 3810) exited]
creating
[Thread 1168148816 (LWP 3811) exited]
[Thread 1084229968 (LWP 3775) exited]
[New Thread 1084229968 (LWP 3820)]
[Thread 1178638672 (LWP 3817) exited]
[Thread 1189128528 (LWP 3818) exited]
fff

(evolution:3753): Gdk-CRITICAL **: gdk_window_get_origin: assertion
`GDK_IS_WINDOW (window)' failed
[New Thread 1189128528 (LWP 3821)]
[Thread 1147169104 (LWP 3794) exited]
[Thread 1084229968 (LWP 3820) exited]
[Thread 1094719824 (LWP 3776) exited]
[Thread 1189128528 (LWP 3821) exited]
[New Thread 1189128528 (LWP 3831)]
[New Thread 1094719824 (LWP 3832)]
[New Thread 1084229968 (LWP 3838)]
[Thread 1094719824 (LWP 3832) exited]
[Thread 1189128528 (LWP 3831) exited]
[Thread 1084229968 (LWP 3838) exited]
[New Thread 1084229968 (LWP 3843)]
[New Thread 1189128528 (LWP 3844)]
[Thread 1084229968 (LWP 3843) exited]
[Thread 1189128528 (LWP 3844) exited]
[New Thread 1189128528 (LWP 3855)]
[New Thread 1084229968 (LWP 3856)]
[Thread 1189128528 (LWP 3855) exited]
[Thread 1084229968 (LWP 3856) exited]
[New Thread 1084229968 (LWP 3861)]
[Thread 1084229968 (LWP 3861) exited]
[New Thread 1084229968 (LWP 3862)]
[New Thread 1105475920 (LWP 3864)]
(evolution:3753): e-data-server-DEBUG: Loading categories from
"/home/mloewl/.evolution/categories.xml"
(evolution:3753): e-data-server-DEBUG: Loaded 29 categories
get mloewl gal://mloewl;auth=Basic@192.168.210.23/gal
Find Items 0
get mloewl gal://mloewl;auth=Basic@192.168.210.23/gal
Find Items 0
[New Thread 1189128528 (LWP 3879)]
[Thread 1189128528 (LWP 3879) exited]
[New Thread 1189128528 (LWP 3880)]
[Thread 1189128528 (LWP 3880) exited]
[New Thread 1189128528 (LWP 3886)]
[Thread 1189128528 (LWP 3886) exited]
[New Thread 1189128528 (LWP 3889)]
[Thread 1189128528 (LWP 3889) exited]
[Thread 1126189392 (LWP 3784) exited]
[New Thread 1189128528 (LWP 3894)]

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 1189128528 (LWP 3894)]
0x0000003db000d2cb in write () from /lib64/libpthread.so.0
Current language:  auto; currently asm
Missing separate debuginfos, use: debuginfo-install evolution.i386 evolution.x86_64
(gdb)  thread apply all bt

Thread 32 (Thread 1189128528 (LWP 3894)):
#0  0x0000003db000d2cb in write () from /lib64/libpthread.so.0
#1  0x00000030a1c1ae8f in camel_write (fd=49, buf=0x2aaaba81c010 "\a", n=7) at
camel-file-utils.c:559
#2  0x00002aaab906fca6 in camel_stub_marshal_flush (marshal=0x9c6410) at
camel-stub-marshal.c:455
#3  0x00002aaab9070689 in stub_send_internal (stub=0x9c5fa0, ex=0x9cd660,
oneway=0, command=<value optimized out>, ap=0x46e09e30) at camel-stub.c:327
#4  0x00002aaab9070fa7 in camel_stub_send (stub=0x31, ex=0x2aaaba81c010,
command=4294967295) at camel-stub.c:522
#5  0x00002aaab906d8ad in exchange_get_folder_info (store=<value optimized out>,
top=0x0, flags=1, ex=0x9cd660) at camel-exchange-store.c:735
#6  0x00000030a3c3cfe7 in camel_store_get_folder_info (store=0x8fe4b0, top=0x0,
flags=7, ex=0x9cd660) at camel-store.c:790
#7  0x00002aaab0456388 in ?? () from
/usr/lib64/evolution/2.12/components/libevolution-mail.so
#8  0x00002aaab0453c7a in ?? () from
/usr/lib64/evolution/2.12/components/libevolution-mail.so
#9  0x0000003da7452669 in g_thread_pool_thread_proxy (data=<value optimized
out>) at gthreadpool.c:265
#10 0x0000003da7450b24 in g_thread_create_proxy (data=0x14bebc0) at gthread.c:635
#11 0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

Thread 27 (Thread 1105475920 (LWP 3864)):
#0  0x0000003daf4cbd66 in __poll (fds=0x1344e40, nfds=7, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0x133eef0, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0x13477d0) at gmain.c:2898
#3  0x0000003daa8463b0 in link_io_thread_fn (data=<value optimized out>) at
linc.c:396
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0x670570) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6
Current language:  auto; currently c

Thread 26 (Thread 1084229968 (LWP 3862)):
#0  0x0000003daf4cbd66 in __poll (fds=0xfd74e0, nfds=1, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0x1345130, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0x133f970) at gmain.c:2898
#3  0x00000030a18181fd in startup_mainloop (arg=<value optimized out>) at
e-book.c:3767
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0x1347e70) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

Thread 7 (Thread 1105209680 (LWP 3780)):
#0  0x0000003daf4cbd66 in __poll (fds=0x9b21d0, nfds=2, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003da743209e in g_main_context_iterate (context=0x9bc8e0, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2996
#2  0x0000003da743255a in IA__g_main_loop_run (loop=0x9b9dd0) at gmain.c:2898
#3  0x0000003e6c006dc3 in ?? () from /usr/lib64/libnm_glib.so.0
#4  0x0000003da7450b24 in g_thread_create_proxy (data=0x9afdd0) at gthread.c:635
#5  0x0000003db0006407 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003daf4d4b0d in clone () from /lib64/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 1 (Thread 46912496656304 (LWP 3753)):
#0  0x0000003daf47b382 in memcpy () from /lib64/libc.so.6
#1  0x0000003415e0f3cc in _cairo_gstate_transform_glyphs_to_backend
(gstate=0x151ddb0, glyphs=0x7fff7c0c54d0, num_glyphs=4,
transformed_glyphs=0x7fff7c0c4ba0)
    at /usr/include/bits/string3.h:52
#2  0x0000003415e0f742 in _cairo_gstate_show_glyphs (gstate=0x151ddb0,
glyphs=0x7fff7c0c54d0, num_glyphs=4) at cairo-gstate.c:1578
#3  0x0000003415e090ac in cairo_show_glyphs (cr=0x151da00,
glyphs=0x7fff7c0c54d0, num_glyphs=96) at cairo.c:2952
#4  0x0000003da9006bf6 in pango_cairo_renderer_draw_glyphs (renderer=0xd45650,
font=0x940eb0, glyphs=0x1303b60, x=<value optimized out>, y=<value optimized out>)
    at pangocairo-render.c:261
#5  0x0000003da8c2476e in pango_renderer_draw_glyphs (renderer=0xd45650,
font=0x940eb0, glyphs=0x1303b60, x=0, y=0) at pango-renderer.c:626
#6  0x0000003da90060c8 in _pango_cairo_do_glyph_string (cr=0x151da00,
font=0x940eb0, glyphs=0x1303b60, do_path=0) at pangocairo-render.c:525
#7  0x0000003edd01e50f in real_draw_glyphs (drawable=0x2aaabc1328a0,
gc=0x144f430, matrix=0x0, font=0x940eb0, x=0, y=13, glyphs=0x1303b60) at
gdkdraw.c:888
#8  0x0000003edd01e64b in IA__gdk_draw_glyphs (drawable=0x2aaabc1328a0,
gc=0x144f430, font=0x940eb0, x=0, y=13, glyphs=0x1303b60) at gdkdraw.c:923
#9  0x0000003e6f667874 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#10 0x0000003e6f6872a4 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#11 0x0000003e6f63d662 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#12 0x0000003e6f6414d7 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#13 0x0000003e6f63d662 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#14 0x0000003e6f644c99 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#15 0x0000003e6f65f3f7 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#16 0x0000003e6f636008 in ?? () from /usr/lib64/libgtkhtml-3.14.so.19
#17 0x0000003edc9a0a11 in _gtk_marshal_BOOLEAN__BOXED (closure=0x75e800,
return_value=0x7fff7c0c61f0, n_param_values=2, param_values=0x7fff7c0c62e0,
    invocation_hint=0x7fff7c0c61b0, marshal_data=0x3e6f635fd0) at gtkmarshalers.c:84
#18 0x0000003da780b1a9 in IA__g_closure_invoke (closure=0x75e800,
return_value=0x7fff7c0c61f0, n_param_values=2, param_values=0x7fff7c0c62e0,
invocation_hint=0x7fff7c0c61b0)
    at gclosure.c:490
#19 0x0000003da781ae47 in signal_emit_unlocked_R (node=0x75e870, detail=0,
instance=0x1340c70, emission_return=0x7fff7c0c6500,
instance_and_params=0x7fff7c0c62e0)
    at gsignal.c:2478
#20 0x0000003da781ba47 in IA__g_signal_emit_valist (instance=0x1340c70,
signal_id=<value optimized out>, detail=0, var_args=0x7fff7c0c6560) at
gsignal.c:2209
#21 0x0000003da781be43 in IA__g_signal_emit (instance=0x7fff7c0c4ba0,
signal_id=2081182928, detail=96) at gsignal.c:2243
#22 0x0000003edcb25afb in gtk_widget_event_internal (widget=0x1340c70,
event=0x7fff7c0c6730) at gtkwidget.c:4678
#23 0x0000003edcb2575c in IA__gtk_widget_send_expose (widget=0x1340c70,
event=0x7fff7c0c6730) at gtkwidget.c:4510
#24 0x0000003edc99d75d in IA__gtk_main_do_event (event=0x7fff7c0c6730) at
gtkmain.c:1514
#25 0x0000003edd03dc0b in gdk_window_process_updates_internal (window=0x147e330)
at gdkwindow.c:2378
#26 0x0000003edd03dd66 in IA__gdk_window_process_all_updates () at gdkwindow.c:2444
#27 0x0000003edd03d9c0 in gdk_window_update_idle (data=0x0) at gdkwindow.c:2288
#28 0x0000003edd01ab33 in gdk_threads_dispatch (data=0x2aaabc045680) at gdk.c:470
#29 0x0000003da742ef53 in IA__g_main_context_dispatch (context=0x662650) at
gmain.c:2061
#30 0x0000003da743224d in g_main_context_iterate (context=0x662650, block=1,
dispatch=1, self=<value optimized out>) at gmain.c:2694
#31 0x0000003da743255a in IA__g_main_loop_run (loop=0x6a6bc0) at gmain.c:2898
#32 0x0000003dac82ce16 in bonobo_main () at bonobo-main.c:311
#33 0x0000000000415cfb in main (argc=<value optimized out>, argv=0x7fff7c0c6c38)
at main.c:602
#34 0x0000003daf41e074 in __libc_start_main (main=0x4159b0 <main>, argc=1,
ubp_av=0x7fff7c0c6c38, init=<value optimized out>, fini=<value optimized out>,
    rtld_fini=<value optimized out>, stack_end=0x7fff7c0c6c28) at libc-start.c:220
#35 0x0000000000409dd9 in _start ()
---Type <return> to continue, or q <return> to quit---
#0  0x0000003db000d2cb in write () from /lib64/libpthread.so.0
Current language:  auto; currently asm
(gdb)                                                                          
               
Comment 4 Marco Löwl 2008-04-08 09:09:14 EDT
Hi,


i think i have found the Problem.
I have delete the "Global Adress List" from the auto complete selection.
I have a old second Notebook with the same installation but only in 32 Bit. The
32 Bit Version have not the Problem. The Calendar works fine.

I hope this information is useful for you.


regards Marco
Comment 5 Matthew Barnes 2008-04-08 10:32:45 EDT
Thanks for the additional data.  The 32-bit vs 64-bit comparison is an important
clue.  Unfortunately the stack traces do not appear to show a program crash. 
Rather, the debugger appears to be halting on non-critical signals such as
SIGINT and SIGPIPE.  I would expect a program crash to be caused by a SIGSEGV or
SIGABRT signal.

I'm not sure what caused the SIGINT, but if you're still interested and able to
reproduce the crashes you can tell GDB to ignore SIGPIPE signals with the
following command:

   handle SIGPIPE nostop noprint pass

Issue this command either before you begin running Evolution or place it in a
.gdbrc file to execute it automatically when you start GDB.
Comment 6 Marco Löwl 2008-05-13 05:40:08 EDT
Hi,


please close this bug. Evolution is not usable ! I can't to keep one's nerve to
debug this shit software, sorry !


regards Marco

 

Note You need to log in before you can comment on or make changes to this bug.